mp3splt-gtk: src/main_window.c File Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
main_window.c File Reference
`#include "main_window.h"`
Include dependency graph for main_window.c:

Go to the source code of this file.

## Functions
void | add_filters_to_file_chooser (GtkWidget *file_chooser)
void | cancel_button_event (GtkWidget *widget, ui_state *ui)
void | create_application (ui_state *ui)
gchar * | get_input_filename (gui_state *gui)
gint | get_is_splitting_safe (ui_state *ui)
gint | get_process_in_progress_safe (ui_state *ui)
gint | get_split_file_mode (ui_state *ui)
void | print_status_bar_confirmation (gint error, ui_state *ui)
void | print_status_bar_confirmation_in_idle (gint error, ui_state *ui)
void | put_status_message (const gchar *text, ui_state *ui)
void | put_status_message_in_idle (const gchar *text, ui_state *ui)
void | put_status_message_with_type (const gchar *text, splt_message_type mess_type, ui_state *ui)
void | remove_status_message (gui_state *gui)
void | set_input_filename (const gchar *filename, ui_state *ui)
void | set_is_splitting_safe (gboolean value, ui_state *ui)
void | set_process_in_progress_and_wait_safe (gboolean value, ui_state *ui)
void | set_process_in_progress_safe (gboolean value, ui_state *ui)
void | set_split_file_mode (gint file_mode, ui_state *ui)
void | set_stop_split_safe (gboolean value, ui_state *ui)
void | split_button_event (GtkWidget *widget, ui_state *ui)

## Detailed Description

The main window

main file that initialises the menubar, the toolbar, the tabs, about window, status error messages

Definition in file main_window.c.

## Function Documentation

## ◆ add_filters_to_file_chooser()

void add_filters_to_file_chooser | ( | GtkWidget * | file_chooser | ) |

Definition at line 668 of file main_window.c.

## ◆ cancel_button_event()

void cancel_button_event | ( | GtkWidget * | widget,
|  | ui_state * | ui )

event for the cancel button

Definition at line 299 of file main_window.c.

References put_status_message().

Referenced by disconnect_button_event().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ create_application()

void create_application | ( | ui_state * | ui | ) |

Definition at line 1327 of file main_window.c.

## ◆ get_input_filename()

gchar * get_input_filename | ( | gui_state * | gui | ) |

Get the name of the input file.

Returns
  - The name of the input file, if set.
  - "", otherwise.

Definition at line 73 of file main_window.c.

Referenced by change_current_filename(), check_update_down_progress_bar(), connect_to_player_with_song(), disconnect_button_event(), gstreamer_get_filename(), and gstreamer_start().

Here is the caller graph for this function:

## ◆ get_is_splitting_safe()

gint get_is_splitting_safe | ( | ui_state * | ui | ) |

Definition at line 320 of file main_window.c.

## ◆ get_process_in_progress_safe()

gint get_process_in_progress_safe | ( | ui_state * | ui | ) |

Definition at line 362 of file main_window.c.

## ◆ get_split_file_mode()

gint get_split_file_mode | ( | ui_state * | ui | ) |

Definition at line 394 of file main_window.c.

## ◆ print_status_bar_confirmation()

void print_status_bar_confirmation | ( | gint | error,
|  | ui_state * | ui )

Output an error message from libmp3splt to the status bar.

Parameters

  The | error number from the library.

Definition at line 1344 of file main_window.c.

References put_status_message().

Referenced by update_splitpoints_from_mp3splt_state().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ print_status_bar_confirmation_in_idle()

void print_status_bar_confirmation_in_idle | ( | gint | error,
|  | ui_state * | ui )

Definition at line 1380 of file main_window.c.

## ◆ put_status_message()

void put_status_message | ( | const gchar * | text,
|  | ui_state * | ui )

Output a info message to the status message bar.

The message type is automatically set to SPLT_MESSAGE_INFO. If you don't want that use put_status_message instead.

Parameters

  text | The text that has to be displayed.

Definition at line 263 of file main_window.c.

References put_status_message_with_type().

Referenced by cancel_button_event(), gstreamer_start(), player_quick_preview(), print_status_bar_confirmation(), split_button_event(), and update_splitpoint().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ put_status_message_in_idle()

void put_status_message_in_idle | ( | const gchar * | text,
|  | ui_state * | ui )

Definition at line 1363 of file main_window.c.

## ◆ put_status_message_with_type()

void put_status_message_with_type | ( | const gchar * | text,
|  | splt_message_type | mess_type,
|  | ui_state * | ui )

Output a message to the status message bar.

Parameters

  text | The text that has to be displayed.
  splt_message_type | The type of the message.

If the type is to be set to SPLT_MESSAGE_INFO put_status_message can be used instead; The enum for the message types is defined in libmp3splt.h

Definition at line 277 of file main_window.c.

References put_message_in_history().

Referenced by put_status_message().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ remove_status_message()

void remove_status_message | ( | gui_state * | gui | ) |

Removes status bar message.

Used for the ok button event.

Definition at line 251 of file main_window.c.

Referenced by import_event(), import_file(), remove_all_rows(), remove_splitpoint(), and select_splitpoint().

Here is the caller graph for this function:

## ◆ set_input_filename()

void set_input_filename | ( | const gchar * | filename,
|  | ui_state * | ui )

Set the name of the input file.

Definition at line 44 of file main_window.c.

Referenced by change_current_filename().

Here is the caller graph for this function:

## ◆ set_is_splitting_safe()

void set_is_splitting_safe | ( | gboolean | value,
|  | ui_state * | ui )

Definition at line 313 of file main_window.c.

## ◆ set_process_in_progress_and_wait_safe()

void set_process_in_progress_and_wait_safe | ( | gboolean | value,
|  | ui_state * | ui )

Definition at line 342 of file main_window.c.

## ◆ set_process_in_progress_safe()

void set_process_in_progress_safe | ( | gboolean | value,
|  | ui_state * | ui )

Definition at line 355 of file main_window.c.

## ◆ set_split_file_mode()

void set_split_file_mode | ( | gint | file_mode,
|  | ui_state * | ui )

Definition at line 389 of file main_window.c.

## ◆ set_stop_split_safe()

void set_stop_split_safe | ( | gboolean | value,
|  | ui_state * | ui )

Definition at line 291 of file main_window.c.

## ◆ split_button_event()

void split_button_event | ( | GtkWidget * | widget,
|  | ui_state * | ui )

event for the split button

Definition at line 371 of file main_window.c.

References get_output_directory(), and put_status_message().

Here is the call graph for this function: